# Create Template

Creates the dynamic/static templates with given threats or rule content

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

This endpoint creates Static Threat Templates using the threat id list and Dynamic Templates with the rule list given by the user at request POST body.
It returns template details including the creation and update time, name, description, content_type, threat IDs and content with rules.

Example

Create dynamic template with rules that filter threats with name tag "ransom" and date with "last 6 months"

curl --location --request POST 'https://api.picussecurity.com/v1/templates' \
--header 'content-type: application/json' \
--header 'Authorization: Bearer access_token' \
--data-raw '{
    "name": "Dynamic Template Test",
    "description": "description",
    "content": {
        "rules": [
            {
                "only_name": "ransom",
                "date_label": "last 6 months"
            }
        ]
    }
}'
{
    "id": 4709,
    "creation_time": 1657186786047,
    "content_update_time": 1657186784507,
    "name": "Dynamic Template Test",
    "description": "description",
    "content_type": "dynamic",
    "content": {
        "threats": [
            7954,
            7953,
            7891,
            7890,
            7889,
            7888,
            7852,
            7622,
            7621,
            7524,
            7523,
            7258,
            7175,
            7170,
            7169,
            7168,
            7161,
            7063,
            7062,
            6901,
            6899,
            6898,
            6896,
            6895,
            6699,
            6698,
            6368,
            6367,
            6269,
            6268,
            6015,
            6006,
            5938,
            5477,
            5278,
            5246,
            5212
        ]
    },
    "rules": [
        {
            "only_name": "ransom",
            "modules": null,
            "category_names": null,
            "date_label": "last 6 months",
            "affected_operating_systems": null,
            "threat_actors": null,
            "severities": null,
            "mitre_tactics": null,
            "kill_chain_phases": null,
            "tags": null
        }
    ]
}
Body Params
content
object
string
≤ 1000

description of the template

string

Template Name (Example Template)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json